<?php
/*
Plugin Name: AD2App
Plugin URI: http://mr2app.com
Description: اولین اپ ساز وردپرسی فارسی || تماس با پشتیبانی : http://mr2app.com  || کاری از شرکت حامی رایانه آفتاب توس
Version: 2.0.0.Beta
Author: مستر 2 اپ
Author URI: http://mr2app.com
Text Domain: Mr2app
*/
if (!defined( 'ABSPATH' )) exit;
define('AD2APP_VERSION' , "2.0.0.Beta");
define( 'AD2APP_PATH' , plugin_dir_path( __FILE__ ));
define('AD2APP_URL', plugin_dir_url(__FILE__));
define('AD2APP_CSS_URL', trailingslashit(AD2APP_URL.'files/css'));
define('AD2APP_JS_URL', trailingslashit(AD2APP_URL.'files/js'));
define('AD2APP_SITE_URL', get_site_url());
if(!class_exists('AD2APP_install')){
	class AD2APP_install{
		
		function __construct(){
			$this->ad2app_api();
			add_action('admin_menu' , array($this , 'ad2app_config_menu'));				
		}

		function ad2app_config_menu(){
			include_once( 'ad2app_config/config_ad2app_menu.php') ;
			$ad2app_config_menu = new ad2app_config_menu();
		}

		function ad2app_api(){
			include_once( 'ad2app_service/ad2app_api.php') ;
			$ad2app_api = new ad2app_api(AD2APP_SITE_URL);	
		}
		function ad2app_config(){
			include_once( 'ad2app_config/ad2app_config.php') ;
			$ad2app_config = new ad2app_config();	
		}
	}
}
register_activation_hook( __FILE__ ,  array('AD2APP_install' , 'ad2app_config'));
$WP2APPIR_install = new AD2APP_install();